/*--<IssueID:113701>,Date:12-Dec-2018,Done By:MUNISH KUMAR<1233>*/
/*--<IssueID:112417>,Date:14-Dec-2018,Done By:Anurag Sahu<1299>*/
.imgBox
{
    overflow: visible;
    margin-bottom: 2px;
    background: #fff url(../images/UploadImages/camera_img.png) no-repeat center center;
    background-size: 40%;
    border-radius: 5px;
    border: 1px solid #e6e6e6;
    position: relative;
    width: 200px;
    height: 200px;
    text-align: center;
    display: table-cell !important;
    vertical-align: middle;
}

.tdContent .wrapper
{
    position: absolute;
    top: 0%;
    left: 50%;
    margin: 0 0 0 -27px;
}
/* for google chrome */
@media screen and (-webkit-min-device-pixel-ratio:0)
{
    .tdContent .wrapper
    {
        top: 50%;
        margin: -27px 0 0 -27px;
    }
}


.overflowVisible
{
    overflow: visible !important;
    position: relative;
    height: 50px;
}
.imgBox img
{
    border-radius: 5px;
    max-width: 100%;
    max-height: 100%;
}
.imgBox .uploadimages
{
    padding: 3px;
    border-radius: 0px 22px 22px 0;
    position: absolute;
    bottom: 3px;
    right: -22px;
    display: block;
    opacity: 0.0;
    filter: alpha(opacity=0);
    background: rgba(0, 0, 0, 0.8);
    background: #434343\9;
    width: 76px;
}

.imgBox .uploadimages span
{
    margin: 5px;
    width: 28px;
    height: 28px;
    overflow: hidden;
    float: left;
}
.imgBox .uploadimages .upload-pic
{
    background: url(../images/UploadImages/upload_icon.png) no-repeat center center;
}
.imgBox .uploadimages .upload-pic input[type="file"]
{
    height: 100%;
    width: 100%;
    opacity: 0.0;
    filter: alpha(opacity=0);
    font-size: 500px;
}
.imgBox .uploadimages .delete-pic a
{
    background: url(../images/UploadImages/delete_icon.png) no-repeat center center;
    width: 28px;
    height: 28px;
    float: left;
}

.imgBox:hover .uploadimages
{
    right: -83px;
    z-index: 999999;
    -webkit-transition-duration: 0.3s;
    -moz-transition-duration: 0.3s;
    -o-transition-duration: 0.3s;
    transition-duration: 0.3s;
    opacity: 0.9;
    filter: alpha(opacity=90);
}

.clsBackgroundNone
{
    background: none;
}
.clsFocus
{
    border: 1px solid orange;
}
.clsFileupload
{
    float: left;
    width: 99.6%;
    line-height: 30px;
    overflow: hidden;
    border: 2px solid white;
    margin-bottom: 1px;
}
.clsSingleFileupload
{
    float: left;
    width: 100%;
    line-height: 22px;
    overflow: hidden;
    border: 2px solid #eeeeee;
    margin-bottom: 1px;
}
/*--Start<IssueID:113701>*/
.dropZoneBorder 
{
    border: 2px dotted #a5a5a5 !important;
}

.dropZoneErrorBorder {
    border: 2px solid red !important;
}
/*--End<IssueID:113701>*/
.clsFileupload div
{
    width: 100%;
    font-size: 12px;
    color: #a5a5a5;
    font-family: Calibri;
    position: relative;
}
.clsFileupload div span
{
    padding-left: 0;
}
.clsFileupload div input
{
    position: absolute;
    left: 0px;
    width: 100%;
    font-size: 500px;
    height: 30px;
    opacity: 0.0;
    filter: alpha(opacity=0);
}


.clsSingleFileupload div
{
    width: 100%;
    font-size: 16px;
    color: #a5a5a5;
    font-family: Calibri;
    position: relative;
}
.clsSingleFileupload div span
{
    padding-left: 95px;
}
.clsSingleFileupload div input
{
    position: absolute;
    left: 0px;
    width: 100%;
    font-size: 500px;
    height: 21px;
    opacity: 0.0;
    filter: alpha(opacity=0);
}
.clsSingleFileUploadSpan
{
    background: url(../images/uploadGrid-icon.png) no-repeat center center;
}

/*
@-webkit-keyframes progress-bar-stripes {
    from {
        background-position: 40px 0
    }
    to {
        background-position: 0 0
    }
}
@keyframes progress-bar-stripes {
    from {
        background-position: 40px 0
    }
    to {
        background-position: 0 0
    }
}
#fileUpload
{
    width: 400px;
    position: absolute;
    top: 0;
    left: 50%;
    margin: 0 0 0 -200px;
    z-index: 999999;
    border: 1px solid grey;
    border-radius: 4px;
    background-color: #D9EEFF;
}
#fileUpload table
{
    width: 100%;
}
#fileUpload #progressPercentage
{
    width: 95%;
    text-align: center;
    float: left;
    margin-top: -18px;
}
#fileUpload #progress
{
    height: 20px;
    width: 95%;
    margin: 0 5px 0 4px;
    overflow: hidden;
    background-color: #f5f5f5;
    border-radius: 4px;
    float: left;
}

#fileUpload #MainProgressBar
{
    height: 100%;
    background-color: #5cb85c;
    -webkit-transition: width .6s ease;
    transition: width .6s ease;
    -webkit-animation: progress-bar-stripes 2s linear infinite;
    animation: progress-bar-stripes 2s linear infinite;
    background-image: -webkit-linear-gradient(45deg,rgba(255,255,255,0.15) 25%,transparent 25%,transparent 50%,rgba(255,255,255,0.15) 50%,rgba(255,255,255,0.15) 75%,transparent 75%,transparent);
    background-image: linear-gradient(45deg,rgba(255,255,255,0.15) 25%,transparent 25%,transparent 50%,rgba(255,255,255,0.15) 50%,rgba(255,255,255,0.15) 75%,transparent 75%,transparent);
    background-size: 40px 40px;
}
#fileUpload .expandCollapse
{
    height: 7px;
    width: 12px;
    vertical-align: middle;
}
#fileUpload .close
{
    vertical-align: middle;
}
#fileUpload .hide
{
    display: none;
}
#fileUpload p
{
    margin: 0 5px 5px 2px;
}
#fileUpload .error
{
    color: Red;
}
*/

.img-container {
    width: 30px;
    height: 30px;
    border: 3px solid white;
    box-shadow: 0px 0px 8px rgba(0,0,0,.3);
    position: absolute;
    overflow: hidden;
    bottom: 0;
}


.img-container img {
    width: 30px;
    height: 30px;
    border: 3px solid white;
    box-shadow: 0px 0px 8px rgba(0,0,0,.3);
    position: relative;
    overflow: hidden;
    Top: 19px;
}


    .img-container a.lightbox {
        position: absolute;
        bottom: 0px;
        right: 0px;
        width: 30px;
        height: 30px;
        background: url(../images/zoom-in.png) no-repeat center center;
        z-index: 1;
        Top: 2px;
    }

.lightbox-target:target {
    opacity: 1;
    top: 0;
    bottom: 0;
}

 /* Uses the :target pseudo-class to perform the animations upon clicking the .lightbox-target anchor */
.lightbox-target:target img {
    max-height: 100%;
    max-width: 100%;
}

.lightbox-target:target a.lightbox-close {
    top: 10px;
}

/* Styles the lightbox, removes it from sight and adds the fade-in transition */

.lightbox-target {
    position: fixed;
    top: -100%;
    width: 100%;
    background: rgba(0,0,0,.7);
    width: 38%;
    opacity: 0;
    transition: opacity .5s ease-in-out;
    overflow: hidden;
    z-index: 99;
}

    /* Styles the lightbox image, centers it vertically and horizontally, adds the zoom-in transition and makes it responsive using a combination of margin and absolute positioning */

    .lightbox-target img {
        margin: auto;
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        max-height: 0%;
        max-width: 0%;
        border: 3px solid white;
        box-shadow: 0px 0px 8px rgba(0,0,0,.3);
        box-sizing: border-box;
        -webkit-transition: .5s ease-in-out;
        -moz-transition: .5s ease-in-out;
        -o-transition: .5s ease-in-out;
        transition: .5s ease-in-out;
    }

/* Styles the close link, adds the slide down transition */
a.lightbox-close {
    display: block;
    width: 45px;
    height: 45px;
    background: rgba(0,0,0,.6) url(../images/zoom-out.png) no-repeat center;
    border-radius: 100%;
    box-sizing: border-box;
    color: black;
    text-decoration: none;
    position: absolute;
    top: -80px;
    right: 10px;
    -webkit-transition: .5s ease-in-out;
    -moz-transition: .5s ease-in-out;
    -o-transition: .5s ease-in-out;
    transition: .5s ease-in-out;
}
.imgBox img {
    border-radius: 7px;
    max-width: 100%;
    max-height: 100%;
    height: 90%;
    width: 90%;
}